# Class SingleFlow

java.lang.Object
com.google.adk.flows.llmflows.BaseLlmFlow
com.google.adk.flows.llmflows.SingleFlow

All Implemented Interfaces:
  `BaseFlow`

Direct Known Subclasses:
  `AutoFlow`

public class SingleFlow extends BaseLlmFlow
Basic LLM flow with fixed request and response processors.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final com.google.common.collect.ImmutableList<RequestProcessor>`
  `REQUEST_PROCESSORS`
  `protected static final com.google.common.collect.ImmutableList<ResponseProcessor>`
  `RESPONSE_PROCESSORS`

  ### Fields inherited from class BaseLlmFlow

  `maxSteps, requestProcessors, responseProcessors`
  Modifier and Type
  Field
  Description
  `protected final int`
  `maxSteps`
  `protected final List<RequestProcessor>`
  `requestProcessors`
  `protected final List<ResponseProcessor>`
  `responseProcessors`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `SingleFlow()`
  `protected`
  `SingleFlow(List<RequestProcessor> requestProcessors, List<ResponseProcessor> responseProcessors, Optional<Integer> maxSteps)`
  ``
  `SingleFlow(Optional<Integer> maxSteps)`

- ## Method Summary

  ### Methods inherited from class BaseLlmFlow

  `postprocess, run, runLive`
  Modifier and Type
  Method
  Description
  `protected io.reactivex.rxjava3.core.Flowable<Event>`
  `postprocess(InvocationContext context, Event baseEventForLlmResponse, LlmRequest llmRequest, LlmResponse llmResponse, io.opentelemetry.context.Context parentContext)`
  Post-processes the LLM response after receiving it from the LLM.
  `io.reactivex.rxjava3.core.Flowable<Event>`
  `run(InvocationContext invocationContext)`
  Executes the full LLM flow by repeatedly calling `BaseLlmFlow.runOneStep(Context, InvocationContext)` until a final response is produced.
  `io.reactivex.rxjava3.core.Flowable<Event>`
  `runLive(InvocationContext invocationContext)`
  Executes the LLM flow in streaming mode.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REQUEST_PROCESSORS

    protected static final com.google.common.collect.ImmutableList<RequestProcessor> REQUEST_PROCESSORS

  - ### RESPONSE_PROCESSORS

    protected static final com.google.common.collect.ImmutableList<ResponseProcessor> RESPONSE_PROCESSORS

- ## Constructor Details

  - ### SingleFlow

    public SingleFlow()

  - ### SingleFlow

    public SingleFlow(Optional<Integer> maxSteps)

  - ### SingleFlow

    protected SingleFlow(List<RequestProcessor> requestProcessors, List<ResponseProcessor> responseProcessors, Optional<Integer> maxSteps)